Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Modules

Get Module Statistics
GET /training/modules/statistics
https://api.relesystest.net/api/v1.4/training/modules/statistics
Get a list of Course Module Statistics for participation - including calculated values for users without any completions.
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
completionRate double Filterable Sortable optional
courseModuleId string / guid Filterable optional
courseModuleParticipationState string Filterable Sortable optional
creationDateTime datetimeoffset Filterable Sortable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
performanceScore double Filterable Sortable optional
points integer Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"courseModuleId":"09c6fee2-791b-44a7-b1ed-02aaf9aaa5e0","userId":"583df8b8-d18a-4aaa-8b0d-cd53d9859131","courseModuleParticipationState":"Completed","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-12-09T22:00:00+00:00","completionRate":1.0,"performanceScore":0.94,"points":10},{"courseModuleId":"3dad6983-8d8a-4200-88c1-532f61449a80","userId":"acd4b3b5-b83c-43d0-a155-b67429b5d365","courseModuleParticipationState":"Not Started","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-12-09T22:00:00+00:00","completionRate":0.0,"performanceScore":null,"points":0}]}
object
  count integer      
  data array[object]      
   completionRate double      
   courseModuleId string / guid      
   courseModuleParticipationState string      
   creationDateTime datetimeoffset      
   lastModifiedDateTime datetimeoffset      
   performanceScore double      
   points integer      
   userId string / guid      
  nextUrl string      
  previousUrl string